GCLOUD_DEBUG_SNAPSHOTS_DELETE(1)

NAME

gcloud debug snapshots delete - delete debug snapshots

SYNOPSIS

gcloud debug snapshots delete [ID ...] [--all-users] [--include-inactive] [--location=LOCATION-REGEXP] [--target=(ID|DESCRIPTION_REGEXP)] [GCLOUD_WIDE_FLAG ...]

DESCRIPTION
This command deletes snapshots from a Cloud Debugger debug target. It will ask for confirmation before deleting any snapshots. To suppress confirmation, use the global --quiet option.

POSITIONAL ARGUMENTS

    [ID ...]
        Zero or more snapshot resource identifiers. The specified snapshots will be deleted.

FLAGS

    --all-users
        If set, matching snapshots from all users will be deleted, rather than only snapshots created by the current user.

    --include-inactive
        If set, also delete snapshots which have been completed. By default, only pending snapshots will be deleted.

    --location=LOCATION-REGEXP
        A regular expression to match against snapshot locations. All snapshots matching this value will be deleted. You may specify --location multiple times. EXAMPLE:
        gcloud debug snapshots delete \
            --location foo.py:[1-3] --location bar.py:4

    --target=(ID|DESCRIPTION_REGEXP)
        The debug target. It may be a target ID or name obtained from 'debug targets list', or it may be a regular expression uniquely specifying a debuggee based on its description or name. For App Engine projects, if not specified, the default target is the most recent deployment of the default module and version.

GCLOUD WIDE FLAGS
These flags are available to all commands: --account, --configuration, --flatten, --format, --help, --log-http, --project, --quiet, --trace-token, --user-output-enabled, --verbosity. Run $ gcloud help for details.